kdbgstream Class Reference
Debug message generators

`#include <kdebug.h>`

## Public Member Functions

| kdbgstream (unsigned int _area, unsigned int _level, bool _print=true)
| kdbgstream (const char *initialString, unsigned int _area, unsigned int _level, bool _print=true)
| kdbgstream (kdbgstream &str)
| kdbgstream (const kdbgstream &str)
kdbgstream & | operator<< (bool i)
kdbgstream & | operator<< (short i)
kdbgstream & | operator<< (unsigned short i)
kdbgstream & | operator<< (char ch)
kdbgstream & | operator<< (unsigned char ch)
kdbgstream & | operator<< (int i)
kdbgstream & | operator<< (unsigned int i)
kdbgstream & | operator<< (long i)
kdbgstream & | operator<< (unsigned long i)
kdbgstream & | operator<< (Q_LLONG i)
kdbgstream & | operator<< (Q_ULLONG i)
void | flush ()
kdbgstream & | operator<< (QChar ch)
kdbgstream & | operator<< (const QString &string)
kdbgstream & | operator<< (const char *string)
kdbgstream & | operator<< (const QCString &string)
kdbgstream & | operator<< (const void *p)
kdbgstream & | operator<< (KDBGFUNC f)
kdbgstream & | operator<< (double d)
kdbgstream & | form (const char *format,...)
kdbgstream & | operator<< (const QWidget *widget)
kdbgstream & | operator<< (QWidget *widget)
kdbgstream & | operator<< (const QDateTime &dateTime)
kdbgstream & | operator<< (const QDate &date)
kdbgstream & | operator<< (const QTime &time)
kdbgstream & | operator<< (const QPoint &point)
kdbgstream & | operator<< (const QSize &size)
kdbgstream & | operator<< (const QRect &rect)
kdbgstream & | operator<< (const QRegion &region)
kdbgstream & | operator<< (const KURL &url)
kdbgstream & | operator<< (const QStringList &list)
kdbgstream & | operator<< (const QColor &color)
kdbgstream & | operator<< (const QPen &pen)
kdbgstream & | operator<< (const QBrush &brush)
kdbgstream & | operator<< (const QVariant &variant)
kdbgstream & | operator<< (const QByteArray &data)
template<class T >
kdbgstream & | operator<< (const QValueList< T > &list)

## Detailed Description

kdbgstream is a text stream that allows you to print debug messages.

Using the overloaded "<<" operator you can send messages. Usually you do not create the kdbgstream yourself, but use kdDebug() kdWarning(), kdError() or kdFatal to obtain one.

Example:

int i = 5;
kdDebug() << "The value of i is " << i << endl;

See also
  kndbgstream

Definition at line 80 of file kdebug.h.

## Constructor & Destructor Documentation

kdbgstream::kdbgstream | ( | kdbgstream & | str | ) |

Copy constructor.

Definition at line 327 of file kdebug.cpp.

## Member Function Documentation

void kdbgstream::flush | ( |  | ) |

Flushes the output.

Definition at line 333 of file kdebug.cpp.

kdbgstream & kdbgstream::form | ( | const char * | format,
|  |  | ...
| ) |  |

Prints the string `format` which can contain printf-style formatted values.

Parameters

  format | the printf-style format

Returns
  this stream

Definition at line 340 of file kdebug.cpp.

kdbgstream& kdbgstream::operator<< | ( | bool | i | ) |

inline

Prints the given value.

Parameters

  i | the boolean to print (as "true" or "false")

Returns
  this stream

Definition at line 99 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | short | i | ) |

inline

Prints the given value.

Parameters

  i | the short to print

Returns
  this stream

Definition at line 109 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | unsigned short | i | ) |

inline

Prints the given value.

Parameters

  i | the unsigned short to print

Returns
  this stream

Definition at line 119 of file kdebug.h.

kdbgstream & kdbgstream::operator<< | ( | char | ch | ) |

Prints the given value.

Parameters

  ch | the char to print

Returns
  this stream

Definition at line 359 of file kdebug.cpp.

kdbgstream& kdbgstream::operator<< | ( | unsigned char | ch | ) |

inline

Prints the given value.

Parameters

  ch | the unsigned char to print

Returns
  this stream

Definition at line 135 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | int | i | ) |

inline

Prints the given value.

Parameters

  i | the int to print

Returns
  this stream

Definition at line 143 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | unsigned int | i | ) |

inline

Prints the given value.

Parameters

  i | the unsigned int to print

Returns
  this stream

Definition at line 153 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | long | i | ) |

inline

Prints the given value.

Parameters

  i | the long to print

Returns
  this stream

Definition at line 163 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | unsigned long | i | ) |

inline

Prints the given value.

Parameters

  i | the unsigned long to print

Returns
  this stream

Definition at line 173 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | Q_LLONG | i | ) |

inline

Prints the given value.

Parameters

  i | the long long to print

Returns
  this stream

Definition at line 183 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | Q_ULLONG | i | ) |

inline

Prints the given value.

Parameters

  i | the unsigned long long to print

Returns
  this stream

Definition at line 193 of file kdebug.h.

kdbgstream & kdbgstream::operator<< | ( | QChar | ch | ) |

Prints the given value.

Parameters

  ch | the char to print

Returns
  this stream

Since
  3.3

Definition at line 371 of file kdebug.cpp.

kdbgstream& kdbgstream::operator<< | ( | const QString & | string | ) |

inline

Prints the given value.

Parameters

  string | the string to print

Returns
  this stream

Definition at line 216 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | const char * | string | ) |

inline

Prints the given value.

Parameters

  string | the string to print

Returns
  this stream

Definition at line 228 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | const QCString & | string | ) |

inline

Prints the given value.

Parameters

  string | the string to print

Returns
  this stream

Definition at line 240 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | const void * | p | ) |

inline

Prints the given value.

Parameters

  p | a pointer to print (in number form)

Returns
  this stream

Definition at line 249 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | KDBGFUNC | f | ) |

inline

Invokes the given function.

Parameters

  f | the function to invoke

Returns
  the return value of `f`

Definition at line 258 of file kdebug.h.

kdbgstream& kdbgstream::operator<< | ( | double | d | ) |

inline

Prints the given value.

Parameters

  d | the double to print

Returns
  this stream

Definition at line 267 of file kdebug.h.

kdbgstream & kdbgstream::operator<< | ( | const QWidget * | widget | ) |

Operator to print out basic information about a QWidget.

Output of class names only works if the class is moc'ified.

Parameters

  widget | the widget to print

Returns
  this stream

Definition at line 388 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QDateTime & | dateTime | ) |

Prints the given value.

Parameters

  dateTime | the datetime to print

Returns
  this stream

Definition at line 428 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QDate & | date | ) |

Prints the given value.

Parameters

  date | the date to print

Returns
  this stream

Definition at line 432 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QTime & | time | ) |

Prints the given value.

Parameters

  time | the time to print

Returns
  this stream

Definition at line 437 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QPoint & | point | ) |

Prints the given value.

Parameters

  point | the point to print

Returns
  this stream

Definition at line 441 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QSize & | size | ) |

Prints the given value.

Parameters

  size | the QSize to print

Returns
  this stream

Definition at line 445 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QRect & | rect | ) |

Prints the given value.

Parameters

  rect | the QRect to print

Returns
  this stream

Definition at line 449 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QRegion & | region | ) |

Prints the given value.

Parameters

  region | the QRegion to print

Returns
  this stream

Definition at line 453 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const KURL & | url | ) |

Prints the given value.

Parameters

  url | the url to print

Returns
  this stream

Definition at line 463 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QStringList & | list | ) |

Prints the given value.

Parameters

  list | the stringlist to print

Returns
  this stream

Definition at line 467 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QColor & | color | ) |

Prints the given value.

Parameters

  color | the color to print

Returns
  this stream

Definition at line 474 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QPen & | pen | ) |

Prints the given value.

Parameters

  pen | the pen to print

Returns
  this stream

Since
  3.2

Definition at line 481 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QBrush & | brush | ) |

Prints the given value.

Parameters

  brush | the brush to print

Returns
  this stream

Definition at line 505 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QVariant & | variant | ) |

Prints the given value.

Parameters

  variant | the variant to print

Returns
  this stream

Since
  3.3

Definition at line 526 of file kdebug.cpp.

kdbgstream & kdbgstream::operator<< | ( | const QByteArray & | data | ) |

Prints the given value.

Parameters

  data | the byte array to print

Returns
  this stream

Since
  3.3

Definition at line 537 of file kdebug.cpp.

The documentation for this class was generated from the following files:

- kdebug.h
- kdebug.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys